> ## Documentation Index
> Fetch the complete documentation index at: https://nango.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Juniper Mist

> Integrate your application with the Juniper Mist API

## 🚀 Quickstart

Connect to Juniper Mist with Nango and see data flow in 2 minutes.

**1. Create the integration**

In Nango ([free signup](https://app.nango.dev)), go to [Integrations](https://app.nango.dev/dev/integrations) -> *Configure New Integration* -> *Juniper Mist*.

**2. Authorize Juniper Mist**

Go to [Connections](https://app.nango.dev/dev/connections) -> *Add Test Connection* -> *Authorize*, then enter your API token. Later, you'll let your users do the same directly from your app.

**3. Call the Juniper Mist API**

Let's make your first request to the Juniper Mist API (retrieve your user information). Replace the placeholders below with your [Environment API key](https://nango.dev/docs/reference/backend/http-api/api-keys.md), [integration ID](https://app.nango.dev/dev/integrations), and [connection ID](https://app.nango.dev/dev/connections):

> [tab] cURL
>
> ```bash theme={null}
> curl "https://api.nango.dev/proxy/v1/api/v1/self" \
>   -H "Authorization: Bearer <NANGO-API-KEY>" \
>   -H "Provider-Config-Key: <INTEGRATION-ID>" \
>   -H "Connection-Id: <CONNECTION-ID>"
> ```

> [tab] Node
>
> Install Nango's backend SDK with `npm i @nangohq/node`. Then run:
>
> ```typescript theme={null}
> import { Nango } from '@nangohq/node';
>
> const nango = new Nango({ apiKey: '<NANGO-API-KEY>' });
>
> const res = await nango.get({
>     endpoint: '/api/v1/self',
>     providerConfigKey: '<INTEGRATION-ID>',
>     connectionId: '<CONNECTION-ID>'
> });
>
> console.log(res.data);
> ```

> [tab] Python
>
> Install Nango's backend SDK with `pip install nango`. Then run:
>
> ```python theme={null}
> from nango import Nango
>
> nango = Nango(secret_key='<NANGO-API-KEY>')
>
> res = nango.get(
>     endpoint='/api/v1/self',
>     provider_config_key='<INTEGRATION-ID>',
>     connection_id='<CONNECTION-ID>'
> )
>
> print(res)
> ```

**4. Next steps**

You're all set! Check out the [integration guides](#integration-guides) below to learn more about what you can do with the Juniper Mist API.

## Integration Guides

* [How to link your Juniper Mist account](https://nango.dev/docs/api-integrations/juniper-mist/connect) - Step-by-step guide to connect your Juniper Mist account

## Official Documentation

For more information about the Juniper Mist API, visit the [Juniper Mist API documentation](https://www.juniper.net/documentation/us/en/software/mist/api/http/getting-started/how-to-get-started).


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.